require 'pathname'
require(Pathname.new(__FILE__).parent + 'lib/common.rb')


describe 'Escape Characters:' do
	before(:each) do
		@bf = BlueFeather::Parser.new
	end
	
	'\\`*_{}[]()#.!|:~'.each_char do |c|
		specify "'#{c}'" do
			@bf.parse_text("\\#{c}").should == "<p>#{c}</p>"
		end
	end
	


end